import {
	https
} from '@/utils/http.js';

export function queryRenyuanByDepartID(orgCode) { // 获取部门所有人员信息
	return https({
		url: '/cxc_rlzy.zb/cxcRlzyZb/list',
		method: 'get',
		data: orgCode
	})
}

export function queryGzjlByRyLdhth(ldhth) { // 获取人员工作经历信息
	return https({
		url: '/cxc_rlzy.zb/cxcRlzyZb/queryLl',
		method: 'get',
		data: ldhth
	})
}

export function queryQzqkByRyLdhth(ldhth) { // 获取人员证件台账
	return https({
		url: '/cxc_rlzy.zb/cxcRlzyZb/queryZjtz',
		method: 'get',
		data: ldhth
	})
}

export function queryJtzycyByRyLdhth(ldhth) { // 获取人员家庭主要成员
	return https({
		url: '/cxchrygxxtj/cxcHrYgxxtj/queryJtzycy',
		method: 'get',
		data: ldhth
	})
}
export function queryXlxxByRyLdhth(ldhth) { // 获取人员学历信息
	return https({
		url: '/cxchrygxxtj/cxcHrYgxxtj/listCxcXlxwxxFbByMainId',
		method: 'get',
		data: ldhth
	})
}

export function queryGbxxByRyLdhth(ldhth) { // 获取人员干部信息 专业技术等级信息
	return https({
		url: '/cxc_rlzy.gbxx/cxcRlzyGbxx/queryGbxx',
		method: 'get',
		data: ldhth
	})
}

export function queryZyzgdjByRyLdhth(ldhth) { // 获取人员职业资格等级
	return https({
		url: '/cxc_rlzy.zb/cxcRlzyZb/queryZyzgdj',
		method: 'get',
		data: ldhth
	})
}


export function queryJxkhByRyLdhth(ldhth) { // 绩效考核信息
	return https({
		url: '/cxc_rlzy.zb/cxcRlzyZb/listCxcRlzyJxkhByMainId',
		method: 'get',
		data: ldhth
	})
}

export function cxcHrYgxxtj(parm) { // 获取员工信息统计
	return https({
		url: '/cxchrygxxtj/cxcHrYgxxtj/list',
		method: 'get',
		data: parm
	})
}

export function cxcRyDataTongji(url, parm) { // 员工信息统计
	return https({
		url: url,
		method: 'get',
		data: parm
	})
}

export function cxcRyDatAstatistics(parm) { // 员工分组统计
	return https({
		url: '/cxc_rlzy.zb/cxcRlzyZb/statistics',
		method: 'get',
		data: parm
	})
}

export function cxcRyDatAstatisticsCertificate(parm) { // 员工按证件分组统计
	return https({
		url: '/cxc_rlzy.zb/cxcRlzyZb/getStatisticsCertificate',
		method: 'get',
		data: parm
	})
}

export function cxcRyDatAstatisticsDetails(parm) { // 员工信息统计
	return https({
		url: '/cxc_rlzy.zb/cxcRlzyZb/details',
		method: 'get',
		data: parm
	})
}